﻿<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">	
	<xsl:output method="html" encoding="windows-1251"/>
	<xsl:strip-space elements="*"/>
	<xsl:template name="bg">
		<xsl:if test="position() mod 2 = 1">
			<xsl:attribute name="bgcolor">#EFEFEF</xsl:attribute>
		</xsl:if>
	</xsl:template>
	
	<xsl:template match="/ROOT">
		<div style="background-color:buttonshadow;color:window;padding:3px"><b>Всего в конференции 
			<xsl:choose>
				<xsl:when test="count(./row) >= 1000"> более 1000 </xsl:when>
				<xsl:otherwise><xsl:value-of select="count(./row)"/></xsl:otherwise> 
			</xsl:choose>			
		сообщений</b></div>
		<table border="0" cellpadding="1" cellspacing="0">
		<tr>
		<td style="border:1px outset;background-color:buttonface" width="16">&gt;</td>
		<td style="border:1px outset;background-color:buttonface">Тема:</td>
		<td style="border:1px outset;background-color:buttonface">Всего:</td>
		<td style="border:1px outset;background-color:buttonface">Загружено:</td>
		<td style="border:1px outset;background-color:buttonface">От:</td>
		<td style="border:1px outset;background-color:buttonface">Дата:</td></tr>
		<xsl:for-each select="./row">
			<tr>
				<td><xsl:call-template name="bg"/>
				<input id="im{@id}" height="14" width="14" style="border-bottom:1px solid buttonshadow; border-right:1px solid buttonshadow; border-top:1px solid buttonface; border-left:1px solid buttonface" type="image" src="mail.png" title="Нажмите, чтобы загрузить новые сообщения этой ветки..." onclick="javascript:LoadAnswers({@id}, {@n}); return false" value="&gt;"/></td>
				<td><xsl:call-template name="bg"/><b>
					<a type="header" href="javascript:void(0)" onclick="javascript:ShowAnswers({@id});return false" title="{@title}">
					<xsl:choose>
						<xsl:when test="string-length(@title) &lt;= 50">
							<xsl:value-of select="@title" disable-output-escaping="yes"/>
						</xsl:when>		
						<xsl:otherwise>
							<xsl:value-of select="concat(substring(@title, 0, 47), '...')"/>
						</xsl:otherwise>
					</xsl:choose>
					</a>
				</b></td>
				<td align="center"><xsl:call-template name="bg"/>
					<xsl:choose>
						<xsl:when test="@count = 0">1</xsl:when>
						<xsl:otherwise><xsl:value-of select="@count"/></xsl:otherwise>
					</xsl:choose>
				</td>
				<td align="center"><xsl:call-template name="bg"/>
					<xsl:choose>
						<xsl:when test="@indb = 0">(нет)</xsl:when>
						<xsl:when test="@indb = 1">1</xsl:when>
						<xsl:otherwise><xsl:value-of select="@indb - 1"/></xsl:otherwise>
					</xsl:choose>
				</td>
				<td><xsl:call-template name="bg"/><xsl:value-of select="@name"/></td>
				<td><xsl:call-template name="bg"/><xsl:value-of select="@date"/></td>
			</tr>	
		</xsl:for-each>
		</table>
	</xsl:template>
</xsl:stylesheet>